Creates a new contact object
Request Information
URI Parameters :
None.
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "5de6ae15-62f7-4be1-8fad-9c29e6751fd3",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "1db0782d-103d-4cf8-a7ae-2a33e6d8e175",
"company_code": "sample string 5",
"company": {
"id": "1b7cd3b6-d1e1-460e-b5eb-3d0e4cbe91d1",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-08T22:42:08.3004901+00:00",
"sales_territory_id": "28066695-5f41-4911-abbf-94bccdec2771",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "33c0ee99-d16a-4521-b1a2-a56e35dcb9d2",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "f6cc5043-d308-4eb2-b46e-fb0b5e30964d",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "7c212e6c-a192-48b4-be11-1399d882ddc8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "109613e7-ffbe-498a-aab9-f5648d2b638f",
"db_currency_id": "ce964d19-fff2-4bb5-a05f-b5ec1208160f",
"db_language_id": "923e61f0-4461-4c74-9fa7-2cd668a8ad74",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00"
},
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00"
},
"marketing_segment_id": "99ba445a-8170-4ea8-81e3-f99ce8ea94ca",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "e730882d-2a02-4cc0-9841-da6d6fab943f",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "53665697-68a1-4f04-b596-eca539f0b99c",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "5b1dc1e2-3836-4034-9513-2486a471ed26",
"db_country_code": "sample string 28",
"feelist_id": "0fecdd57-a8d2-40cf-863b-42a6eb009dbb",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "bef84136-b61e-43e5-861f-bc084117e0fc",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "fb15e3d8-e75d-485f-a156-af472f4ddbec",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00",
"db_currency_id": "081d7338-0bff-4c02-b4fd-3f2f7b55aa20",
"db_currency_code": "sample string 10"
},
"company_type_id": "1f86b5a1-6135-4779-a365-b54b589e68d4",
"company_type_name": "sample string 32",
"company_type": {
"id": "e4756521-1a32-4613-bc6e-d92a31983382",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6792f361-512b-4602-9f60-bf64998f2f77",
"sales_organization_code": "sample string 5"
},
"db_language_id": "a871cc3f-c891-42b3-9f00-62c795a551ea",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "66eaebc0-40c7-4daa-9c33-651629f44513",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "ee9d9138-f0fa-4cc4-a91a-31a102688918",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "e7d75223-256e-4ae7-98fa-bd7f198aa577",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00"
},
"company_sector_id": "4b57d89e-645e-4e3b-bb22-2169a7c4395c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "5cfcc658-32f3-40d0-846a-e50787ad0666",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "9cdc2a06-9ee3-4ab0-8e39-56e9bb9f23ec",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "1c7cc840-f923-408d-8714-19e1411db9d2",
"account_manager_user_code": "sample string 56",
"company_status_id": "25374433-7d09-43e5-a238-ef99da637742",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00",
"id2": 60
},
"db_language_id": "fedfb755-a626-494c-93e7-bb90238b53a5",
"db_language_code": "sample string 7",
"db_title_id": "05af538c-fb46-45b8-a531-010e6661858f",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-08T22:42:08.3004901+00:00",
"create_date": "2026-11-08T22:42:08.3004901+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-08T22:42:08.3004901+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.